## GESSource GESSource — Base Class for single-media sources |

## Types and Values

| GESSource
| GESSourceClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESTrackElement
                    ╰── GESSource
                        ├── GESAudioSource
                        ╰── GESVideoSource

## Implemented Interfaces

GESSource implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

## Functions

## Types and Values

### GESSource

    typedef struct _GESSource GESSource;

Base class for single-media sources

### GESSourceClass

    typedef struct {
    } GESSourceClass;

#### Members